summaryrefslogtreecommitdiff
path: root/tests/sample-test
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 15:47:16 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:39 +0200
commitb10817d9bdc33bc750c784a37eb0b01b5bf5d1dc (patch)
tree3a78fb34397bc5f189c6dd95a95b96334140fa98 /tests/sample-test
parent03a08a4cd0540cd6b018c5c9f602a1d25847ba62 (diff)
downloadcoreutils-b10817d9bdc33bc750c784a37eb0b01b5bf5d1dc.tar.xz
tests/sample-test: Update to use test-lib.sh.
Diffstat (limited to 'tests/sample-test')
-rw-r--r--tests/sample-test21
1 files changed, 5 insertions, 16 deletions
diff --git a/tests/sample-test b/tests/sample-test
index 4d962d043..ca9429345 100644
--- a/tests/sample-test
+++ b/tests/sample-test
@@ -25,29 +25,18 @@ fi
# FIXME: . $srcdir/../lang-default
# FIXME: PRIV_CHECK_ARG=require-root . $srcdir/../priv-check
# FIXME: PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+# If used, these must *follow* test-lib.sh.
+# FIXME: cleanup_() { rm -rf "$other_partition_tmpdir"; }
+# FIXME: . "$abs_top_srcdir/tests/other-fs-tmpdir"
fail=0
-
FIXME > out || fail=1
cat <<\EOF > exp || fail=1
FIXME
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail